Subject: Re: bug#24624: 24.4; Faulty info link -> definition of nth

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Oct 2016 13:45:39 +0300

[Please keep the bug address on the CC list.]

> From: Tomas Nordin <[email-masked]>
> Date: Thu, 06 Oct 2016 12:10:44 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Tomas Nordin <[email-masked]>
> >> Date: Wed, 05 Oct 2016 22:01:12 +0200
> >> 
> >> Hello Bug-Gnu
> >> 
> >> In info (elisp) Sequence Functions, description of
> >> 
> >> -- Function: elt sequence index
> >> 
> >> there is a link named Definition of nth. It doesn't take me to the
> >> definition of nth. It jumps me to -- Function: make-list length object.
> >
> > I cannot reproduce this, that link does work for me.  I tried both
> > Emacs 24.4 and the latest 25.1, and the Info reader built into Emacs
> > works correctly in both cases.
> >
> > So there's something here at work that is specific to your system or
> > to the particular Emacs distribution you are using.  Or maybe you are
> > not using the Emacs Info reader?
> 
> Using thee Emacs Info reader.
> 
> I tried now the info Info reader and then I get to
> 
>  -- Function: nth n list
> 
> which seem right.
> 
> $ info --version
> info (GNU texinfo) 5.2

What does this line say in the elisp.info file you have installed:

  Ref: Definition of nth^?264186

What is the number at the end of the line in your case?

And if you type this command:

  M-x find-file-literally RET /path/to/elisp.info RET

then go to this line:

 -- Function: nth n list

and type "C-x =", what does Emacs show in the echo area?

If your elisp.info file is gzip-compressed, then do this instead:

  C-x C-f  /path/to/elisp.info.gz RET
  C-x Function: nth RET
  M-: (position-bytes (point)) RET

and tell what that yields, and how does that compare with the number
at the end of the "Ref:" line shown above.

Thanks.